﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=7.8
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	Private UserOpts As Map
End Sub

Public Sub LoadUserOptions
	UserOpts = Main.KVS.GetDefault("UserOptions",CreateMap())
	
End Sub

Public Sub SaveUserOptions
	Main.KVS.Put("UserOptions",UserOpts)
End Sub


Public Sub PutUserOption(Key As String, OptData As Object)
	UserOpts.Put(Key,OptData)
End Sub
Public Sub GetUserOption(Key As String) As Object
	Return UserOpts.Get(Key)
End Sub

Public Sub GetUserOptionDefault(Key As String, Default As Object) As Object
	Return UserOpts.GetDefault(Key,Default)
End Sub

Public Sub SaveFormMetrics(F As Form, Delim As String)
	If F.Title = "Form" Then
		Log(Main.AppTitle & " Cannot set for metrics for a form with an unmodified title")
		Return
	End If
	Dim FormName As String = F.Title
	If FormName.Contains(Delim) Then
		FormName = FormName.SubString2(0,FormName.IndexOf(Delim)).Trim
	End If
	Main.KVS.Put("FormPos" & FormName & "Left",F.WindowLeft)
	Main.KVS.Put("FormPos" & FormName & "Top",F.WindowTop)
	Main.KVS.Put("FormPos" & FormName & "Width",F.WindowWidth)
	Main.KVS.Put("FormPos" & FormName & "Height",F.WindowHeight)
End Sub

Public Sub SetFormMetrics(F As Form,Delim As String)
	Dim FormName As String = F.Title
	If FormName.Contains(Delim) Then
		FormName = FormName.SubString2(0,FormName.IndexOf(Delim)).Trim
	End If
	If Main.KVS.ContainsKey("FormPos" & FormName & "Left") Then
		F.WindowLeft = Main.KVS.Get("FormPos" & FormName & "Left")
		F.WindowTop = Main.KVS.Get("FormPos" & FormName & "Top")
		F.WindowWidth = Main.KVS.Get("FormPos" & FormName & "Width")
		F.WindowHeight = Main.KVS.Get("FormPos" & FormName & "Height")
	End If
End Sub